# Plotting

Functions for Creating Secondary Structure Plots, Dot-Plots, and more.

Specialized Modules:

- Layouts and Coordinates
- Annotation
- Pair Probability Plots
- Alignment Plots
- Deprecated Interface for Plotting Utilities

  Functions

  int vrna_file_PS_rnaplot(const char *seq, const char *structure, const char *file, vrna_md_t *md_p)
    #include <ViennaRNA/plotting/structures.h>

    Produce a secondary structure graph in PostScript and write it to ‘filename’.

    Note that this function has changed from previous versions and now expects the structure to be plotted in dot-bracket notation as an argument. It does not make use of the global base_pair array anymore.

    Parameters:

      - seq – The RNA sequence

      - structure – The secondary structure in dot-bracket notation

      - file – The filename of the postscript output

      - md_p – Model parameters used to generate a commandline option string in the output (Maybe NULL)

    Returns:

      1 on success, 0 otherwise

  int vrna_file_PS_rnaplot_a(const char *seq, const char *structure, const char *file, const char *pre, const char *post, vrna_md_t *md_p)
    #include <ViennaRNA/plotting/structures.h>

    Produce a secondary structure graph in PostScript including additional annotation macros and write it to ‘filename’.

    Same as vrna_file_PS_rnaplot() but adds extra PostScript macros for various annotations (see generated PS code). The ‘pre’ and ‘post’ variables contain PostScript code that is verbatim copied in the resulting PS file just before and after the structure plot. If both arguments (‘pre’ and ‘post’) are NULL, no additional macros will be printed into the PostScript.

    Parameters:

      - seq – The RNA sequence

      - structure – The secondary structure in dot-bracket notation

      - file – The filename of the postscript output

      - pre – PostScript code to appear before the secondary structure plot

      - post – PostScript code to appear after the secondary structure plot

      - md_p – Model parameters used to generate a commandline option string in the output (Maybe NULL)

    Returns:

      1 on success, 0 otherwise

  int vrna_file_PS_rnaplot_layout(const char *seq, const char *structure, const char *ssfile, const char *pre, const char *post, vrna_md_t *md_p, vrna_plot_layout_t *layout)
    #include <ViennaRNA/plotting/structures.h>
  int PS_rna_plot_snoop_a(const char *string, const char *structure, const char *ssfile, int *relative_access, const char *seqs[])
    #include <ViennaRNA/plotting/structures.h>
  int gmlRNA(char *string, char *structure, char *ssfile, char option)
    #include <ViennaRNA/plotting/structures.h>

    Produce a secondary structure graph in Graph Meta Language (gml) and write it to a file.

    If ‘option’ is an uppercase letter the RNA sequence is used to label nodes, if ‘option’ equals ‘X’ or ‘x’ the resulting file will coordinates for an initial layout of the graph.

    Parameters:

      - string – The RNA sequence

      - structure – The secondary structure in dot-bracket notation

      - ssfile – The filename of the gml output

      - option – The option flag

    Returns:

      1 on success, 0 otherwise

  int ssv_rna_plot(char *string, char *structure, char *ssfile)
    #include <ViennaRNA/plotting/structures.h>

    Produce a secondary structure graph in SStructView format.

    Write coord file for SStructView

    Parameters:

      - string – The RNA sequence

      - structure – The secondary structure in dot-bracket notation

      - ssfile – The filename of the ssv output

    Returns:

      1 on success, 0 otherwise

  int svg_rna_plot(char *string, char *structure, char *ssfile)
    #include <ViennaRNA/plotting/structures.h>

    Produce a secondary structure plot in SVG format and write it to a file.

    Parameters:

      - string – The RNA sequence

      - structure – The secondary structure in dot-bracket notation

      - ssfile – The filename of the svg output

    Returns:

      1 on success, 0 otherwise

  int xrna_plot(char *string, char *structure, char *ssfile)
    #include <ViennaRNA/plotting/structures.h>

    Produce a secondary structure plot for further editing in XRNA.

    Parameters:

      - string – The RNA sequence

      - structure – The secondary structure in dot-bracket notation

      - ssfile – The filename of the xrna output

    Returns:

      1 on success, 0 otherwise

  int PS_rna_plot(char *string, char *structure, char *file)
    #include <ViennaRNA/plotting/structures.h>

    Produce a secondary structure graph in PostScript and write it to ‘filename’.

    Deprecated:

      Use vrna_file_PS_rnaplot() instead!

  int PS_rna_plot_a(char *string, char *structure, char *file, char *pre, char *post)
    #include <ViennaRNA/plotting/structures.h>

    Produce a secondary structure graph in PostScript including additional annotation macros and write it to ‘filename’.

    Deprecated:

      Use vrna_file_PS_rnaplot_a() instead!

  int PS_rna_plot_a_gquad(char *string, char *structure, char *ssfile, char *pre, char *post)
    #include <ViennaRNA/plotting/structures.h>

    Produce a secondary structure graph in PostScript including additional annotation macros and write it to ‘filename’ (detect and draw g-quadruplexes)

    Deprecated:

      Use vrna_file_PS_rnaplot_a() instead!